//Einbinden der Bibliotheken
//Bibliothekssammlung für den M5StickC
//diese enthält alle Bibliotheken für die Sensoren & Aktoren des M5StickC
//somit auch für das LCD Display
#include <M5StickC.h> 

//Bibliothek für den digitalen Temperatursensor DS18B20
#include <OneWire.h>
#include <DallasTemperature.h>

#define ONE_WIRE_BUS 33  //Sensor DS18B20 am GPIO Pin G33

OneWire oneWire(ONE_WIRE_BUS); 
DallasTemperature sensors(&oneWire);

//Setup, einrichten des Microcontrollers
void setup() {
  M5.begin();
  M5.Lcd.setRotation(3);
}

//
void loop(){ 
  //Textgröße auf 1 
  M5.Lcd.setTextSize(2);
  //Hintergrundfarbe Schwarz
  M5.Lcd.fillScreen(BLACK);
  //Textfarbe Weiß
  M5.Lcd.setTextColor(WHITE);

  //den ersten Text an der Position , Zeile 10, Spalte 10, setzen
  M5.Lcd.setCursor(10, 10);    
  //schreiben des Textes "Temperatur"
  M5.Lcd.print("Temperatur");

  //anfordern der Temperatur
  sensors.requestTemperatures(); 
  //lesen der Temperatur in Celsius
  //die Bibliothek gibt zusätzlich die Möglichkeit
  //den Wert auch in Fahrenheit auszugeben
  //Der gelesene Temperaturwert wird auf 2 Nachkommastellen gekürzt,
  //und um den Buchstaben "C" für Celsius erweitert.
  String text = String(sensors.getTempCByIndex(0),2)+"C";
  //setzen des Curosrs an der Position, Zeile 20, Spalte 10
  M5.Lcd.setCursor(10, 30);    
  //schreiben der Temperatur
  M5.Lcd.print(text);
  //aktualisieren des Displays
  M5.update();
  //eine Pause von 800ms.
  delay(800);
}
